Index: channels/chan_skinny.c
===================================================================
--- channels/chan_skinny.c	(revision 154025)
+++ channels/chan_skinny.c	(working copy)
@@ -3679,13 +3679,32 @@
 
 static int skinny_indicate(struct ast_channel *ast, int ind, const void *data, size_t datalen)
 {
-	struct skinny_subchannel *sub = ast->tech_pvt;
-	struct skinny_line *l = sub->parent;
-	struct skinny_device *d = l->device;
-	struct skinnysession *s = d->session;
-
-	if (!s) {
-		ast_log(LOG_NOTICE, "Asked to indicate '%s' condition on channel %s, but session does not exist.\n", control2str(ind), ast->name);
+	struct skinny_subchannel *sub;
+	struct skinny_line *l;
+	struct skinny_device *d;
+	struct skinnysession *s;
+	
+	sub = ast->tech_pvt;
+	if (sub) {
+		l = sub->parent;
+		if (l) {
+			d = l->device;
+			if (d) {
+				s = d->session;
+				if (!s) {
+					ast_log(LOG_NOTICE, "Asked to indicate '%s' condition on channel %s, but session does not exist.\n", control2str(ind), ast->name);
+					return -1;
+				}
+			}else{
+				ast_log(LOG_NOTICE, "Asked to indicate '%s' condition on channel %s, but device does not exist.\n", control2str(ind), ast->name);
+				return -1;
+			}
+		} else {
+			ast_log(LOG_NOTICE, "Asked to indicate '%s' condition on channel %s, but line does not exist.\n", control2str(ind), ast->name);
+			return -1;
+		}
+	} else {
+		ast_log(LOG_NOTICE, "Asked to indicate '%s' condition on channel %s, but sub does not exist.\n", control2str(ind), ast->name);
 		return -1;
 	}
 
